Installing FarCry 3.0.2 Release Candidate

I had a few problems getting the FarCry 3.0.2 Release Candidate installed today so I thought I'd share what I did to get it up and running. I was trying to install from the farcry-milestone_3-0-2RC_r286.zip, available from the FarCry downloads page. I was following the installation guide, but I kept getting errors while running the installer. I decided to ignore the errors and see if I could view the site or login to the FarCry administrator. I couldn't. After a little digging I was able to determine that the installation files included in the zip expect to use the older pliant webskin, while the download includes the more recent mollio webskin. To get the installation to run I had to make changes to a couple of templates.

farcry_core/admin/install/index.cfm

  • Line 105: change farcry_pliant to farcry_mollio

farcry_core/admin/install/_createDefaultNodes.cfm

  • Line 15: change displayPageLanding to displayPageTypeA
  • Line 39: change displayPageLanding to displayPageTypeA

After making these changes I was able to run the installer and updates to get a working FarCry site. Note that I still got errors running the installer and updates, but everything seems to be installed correctly.

Related Blog Entries

Comments
BlogCFC was created by Raymond Camden. This blog is running version 5.8.001.